# NFT Collection

> \*\*TokenTool is a blockchain toolbox that supports ETH, BSC, and many other public chains. \*\* **It is recommended to use the computer version of Google Chrome + `Metamask` plug-in wallet for operation.** **Mobile phone users can also operate in `Wallet APP`-Discover-Enter the official website link.**

### Function Description

```

The NFT batch collection function allows users to merge NFTs stored in multiple addresses into a single address or contract.
Scenario: Send NFTs in a small address to a large address in batches

```

## First step

![nft-collection](/files/j2UWXjriJGkLh0dEwIUj)

1. Open the NFT batch collection function link page <https://tokentools.app/nft/NftMoreToOne/bsc>
2. Use the \[import Account] button to import the private key of the small address that needs to be collected.
3. After entering the NFT contract address to be aggregated, click \[Auto Get TokenId] to automatically obtain the NFTID of the address.
   1. If you cannot obtain the NFTID, please manually edit the ID value present in each address.
4. Enter the receiving address and send to the specified address.

![nft-collection](/files/qJjUSP7duxh1BzRM9Baz)

1. Start the collection operation, and the collection is successful through transaction Hash.

### Frequently Asked Questions

* **Why can't I get the ID value from my address**
  * Answer: It is possible that your NFT contract does not have a function to query ID by address (for example, these functions do not exist: `tokensOfOwner(address)`, `walletOfOwner(address)`, `getOwnerTokens(address)`), which will not be possible. If the ID is found, it is also possible that there is no NFT in the current address.
* **Do I need to retain mining fees for batch collection of NFT small addresses**
  * Answer: Yes, batch collection is the same as transferring funds through your wallet. The tool only replaces your transfer operation. In the end, the address initiates the transfer, so gas and mining fees are required. In order to avoid failure, try to reserve as much mining fees as possible.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tokentools.app/english-1/nft/nft-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
